      SUBROUTINE frame
c		fwj haberl march 1988
c		subroutine for XPLOT
c	implicit undefined(a-z)
      INCLUDE 'xplot.inc'
      INTEGER*4 ix, iy, ii
      CHARACTER*64 label
      CHARACTER*1 alph(20)
      DATA alph/'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k',
     &     'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't'/
      framex1(1) = offsetx
      framex2(1) = framex1(1) + plenx(1)
      DO ix = 2, divx
         framex1(ix) = framex2(ix-1)
         framex2(ix) = framex1(ix) + plenx(ix)
      ENDDO
      framey1(1) = offsety
      framey2(1) = framey1(1) + pleny(1)
      DO iy = 2, divy
         framey1(iy) = framey2(iy-1)
         framey2(iy) = framey1(iy) + pleny(iy)
      ENDDO
      ii = 0
      DO iy = divy, 1, -1
         DO ix = 1, divx
            ii = ii + 1
            label = abc(ix, iy)
            IF (label(1:4).EQ.'none') abc(ix, iy) = alph(ii)
         ENDDO
      ENDDO
      RETURN
      END
